import '../styles/globals.css'
import LoadingProvider from '../plugins/LoadingContext'
import I18nProvider from '../plugins/i18nContext'
import { ToastContainer } from 'react-toastify'
import ResponsiveContainer from '../layout/ResponsiveContainer'
import 'vComponents/styles/generated/output.css'
import 'vComponents/styles/generated/bgColors.min.css'
import 'vComponents/styles/generated/grid.min.css'

function MyApp({ Component, pageProps }) {

  return (
    <I18nProvider locale={'es'}>
      <LoadingProvider>
        <ToastContainer />
        <ResponsiveContainer>
          <Component {...pageProps} />    
        </ResponsiveContainer>
      </LoadingProvider>  
    </I18nProvider>
  )
}

export default MyApp
